Bug 1121314 - [RFE][neutron]: Support for Extensions in ML2
Summary: [RFE][neutron]: Support for Extensions in ML2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ga
: 6.0 (Juno)
Assignee: lpeer
QA Contact: Ofer Blaut
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 04:04 UTC by RHOS Integration
Modified: 2016-04-26 15:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 20:11:00 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-19 04:04:12 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/extensions-in-ml2.

Description:

In the current ML2 plugin implementation, only the extensions defined in the
Ml2Plugin class itself are available, and there is no way for core resources to
be extended with attributes needed by specific mechanism drivers. When such
extensions are needed, whether for new general purpose features that might be
incorporated in future core API versions, or to better support specific
networking technologies, the only current option is to implement a new
monolithic plugin

Specification URL (additional information):

http://git.openstack.org/cgit/openstack/neutron-specs/tree/specs/juno/neutron-ml2-mechanismdriver-extensions.rst

Comment 3 Scott Lewis 2015-02-09 20:11:00 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.